package com.faraphel.tasks_valider.database.dao.base

/**
 * The base for a DAO that is inside a session scope.
 */
interface BaseSessionDao<Entity> {
    /**
     * Return all the objects concerned by a session.
     */
    fun getAllBySession(sessionId: Long): List<Entity>
}
